Skip to main content
GET
/
issues
/
{issue_id}
/
artifact-context
Get issue artifact context
curl --request GET \
  --url https://api.uselemma.ai/issues/{issue_id}/artifact-context \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.uselemma.ai/issues/{issue_id}/artifact-context"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.uselemma.ai/issues/{issue_id}/artifact-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "issue_id": "<string>",
  "project_id": "<string>",
  "agent_name": "<string>",
  "available": {
    "learn_agent_kb": true,
    "uploaded_text_artifacts": true
  },
  "missing": [
    "<string>"
  ],
  "learn_agent_kb": {
    "version": 123,
    "agent_name": "<string>",
    "knowledge_preview": "<string>",
    "mermaid_preview": "<string>",
    "knowledge_truncated": true,
    "mermaid_truncated": true
  },
  "uploaded_text_artifacts": [
    {
      "id": "<string>",
      "filename": "<string>",
      "content_type": "<string>",
      "size_bytes": 123,
      "content_preview": "<string>",
      "preview_truncated": true
    }
  ],
  "caveats": [
    "<string>"
  ]
}
{
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

issue_id
string
required

Issue ID.

Response

Issue artifact context

issue_id
string
required
project_id
string
required
agent_name
string | null
required
available
object
required
missing
string[]
required
learn_agent_kb
object | null
required
uploaded_text_artifacts
object[]
required
caveats
string[]
required